
/***************************************************************************\
*																			*
*							Hlavn okno aplikace							*
*																			*
\***************************************************************************/


/////////////////////////////////////////////////////////////////////////////
// globln promnn

extern	HWND		MainFrame;				// hlavn okno aplikace
extern	HMENU		Menu;					// aktivn menu v hlavnm okn
extern	HWND		ToolBar;				// nstrojov lita
extern	HWND		StatusBar;				// stavov lita

extern	RECT		ClientRect;				// klientsk oblast hlavnho okna
extern	int			ClientWidth;			// ka klientsk oblasti
extern	int			ClientHeight;			// vka klientsk oblasti


/////////////////////////////////////////////////////////////////////////////
// vytvoen hlavnho okna aplikace

BOOL MainFrameCreate();


/////////////////////////////////////////////////////////////////////////////
// zobrazen jmna souboru v titulku okna

void ZobrazJmeno();


/////////////////////////////////////////////////////////////////////////////
// povolen volby v menu a v panelu nstroj

void EnableCommand(int id, BOOL enable);


/////////////////////////////////////////////////////////////////////////////
// nastaven textu stavov lity

void SetStatusText(CString& text);


/////////////////////////////////////////////////////////////////////////////
// zruen vech tlatek panelu nstroj (a po zadan minimln mnostv)

void ToolBarClear(int min);


/////////////////////////////////////////////////////////////////////////////
// pidn tlatek do panelu nstroj

void ToolBarAdd(TBBUTTON* button, int num);


/////////////////////////////////////////////////////////////////////////////
// nastaven novho menu

void SetNewMenu(int id);


/////////////////////////////////////////////////////////////////////////////
// vytvoen editanho pole v panelu nstroj

HWND CreateToolEdit(HWND toolbar, int id, int prevID, int nextID);


/////////////////////////////////////////////////////////////////////////////
// obsluha zprvy ped rozeslnm do oken

BOOL PreTranslateMessage(MSG* msg);


/////////////////////////////////////////////////////////////////////////////
// indexy obrzk tlatek pro ToolBar

enum ToolButton {
	ButtonStart,			// start
	ButtonNew,				// nov soubor
	ButtonOpen,				// oteven souboru
	ButtonClose,			// uzaven souboru
	ButtonSave,				// uloen souboru
	ButtonSaveModi,			// uloen modifikovanho souboru
	ButtonUndo,				// undo
	ButtonRedo,				// redo
	ButtonCut,				// cut
	ButtonCopy,				// copy
	ButtonPaste,			// paste
	ButtonClear,			// clear
	ButtonAll,				// select all
	ButtonPrint,			// tisk
	ButtonHelp,				// help
	ButtonHelpCont,			// help k obsahu
	ButtonIn,				// zoom in
	ButtonOut,				// zoom out
	ButtonPen,				// pero
	ButtonPaint,			// ttec
	ButtonLine,				// ra
	ButtonBox,				// obdlnk
	ButtonFillBox,			// vyplnn obdlnk
	ButtonCircle,			// krunice
	ButtonFillCircle,		// kruh
	ButtonEllipse,			// elipsa
	ButtonFillEllipse,		// ovl
	ButtonWidth1,			// ka 1
	ButtonWidth2,			// ka 2
	ButtonWidth3,			// ka 3
	ButtonWidth4,			// ka 4
	ButtonWidth5,			// ka 5
	ButtonPipe,				// kaptko
	ButtonFill,				// vpl
	ButtonSpray,			// sprej
	ButtonText,				// text
	ButtonSelect,			// vbr
	ButtonYFlip,			// pevrcen podle vertikln osy
	ButtonXFlip,			// pevrcen podle horizontln osy
	ButtonRRot,				// otoen doprava
	ButtonLRot,				// otoen doleva
	ButtonXCol,				// zmna barev
	ButtonSCol,				// nastaven barvy
	ButtonMul2,				// zvten 2x
	ButtonDiv2,				// zmenen 2x
	Button45,				// otoen o 45 stup
	Button30,				// otoen o 30 stup
	Button22,				// otoen o 22.5 stup
	ButtonArrow,			// md ipky
	ButtonMap,				// md obrzk mapy
	ButtonSwc1,				// pepna 1
	ButtonSwc2,				// pepna 2
	ButtonSwc3,				// pepna 3
	ButtonSwc4,				// pepna 4
	ButtonSwc5,				// pepna 5
	ButtonSwcN1,			// seln pepna 1
	ButtonSwcN2,			// seln pepna 2
	ButtonSwcN3,			// seln pepna 3
	ButtonPlay,				// pehrvn
	ButtonPause,			// pozastaven pehrvn
	ButtonStop,				// zastaven pehrvn
	ButtonRew,				// rychl pevjen zpt
	ButtonFrw,				// rychl pevjen vped
	ButtonLoop,				// opakovan pehrvn
	ButtonRecord,			// nahrvn
	ButtonTest,				// test sprajtu
	ButtonHistPrev,			// nvrat v historii zpt
	ButtonHistNext,			// nvrat v historii vped
	ButtonFind,				// hledn
	ButtonFindPrev,			// hledn zpt
	ButtonFindNext,			// hledn vped
	ButtonRefDef,			// nalezen deklarace
	ButtonRefPrev,			// pedchoz reference
	ButtonRefNext,			// nsledujc reference
	ButtonLock,				// zmek
	ButtonOff,				// vypnut funkce
	ButtonDef,				// implicitn text
	ButtonIcon,				// editace ikony


	ToolButtonNum,			// poet tlatek celkem
};
