
#include "Main.h"

/***************************************************************************\
*																			*
*							Obsluha editace souboru							*
*																			*
\***************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// globln a lokln promnn

BOOL		ProgMode = FALSE;						// pznak mdu editace
HWND		EditName = NULL;						// editor jmna prvku
HWND		EditFind = NULL;						// editor textu k hledn
int			ToolBarProgN;							// poet zkladnch prvk panelu nstroj

HWND		TreeObj = NULL;							// okno globlnch objekt
HWND		TreeLoc = NULL;							// okno loklnch objekt
HWND		TreeEdi = NULL;							// okno editoru
HWND		TreeStr = NULL;							// okno struktur
HWND		TreeCls = NULL;							// okno td


/////////////////////////////////////////////////////////////////////////////
// definice zkladnch tlatek pro toolbar Program

TBBUTTON ToolBarProgram[] = {
	{ ButtonStart,	IDN_START,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonSave,	IDN_SAVE,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonClose,	IDN_CLOSE,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{ ButtonUndo,	IDN_UNDO,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonRedo,	IDN_REDO,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonCut,	IDN_CUT,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonCopy,	IDN_COPY,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonPaste,	IDN_PASTE,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonClear,	IDN_CLEAR,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonAll,	IDN_ALL,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{ ButtonHistPrev, IDN_HIST_PREV,TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonHistNext, IDN_HIST_NEXT,TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
};


/*
TBBUTTON ToolBarProgram[] = {
	{ ButtonStart,	IDN_START,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonSave,	IDN_SAVE,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonClose,	IDN_CLOSE,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{ ButtonUndo,	IDN_UNDO,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonRedo,	IDN_REDO,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonCut,	IDN_CUT,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonCopy,	IDN_COPY,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonPaste,	IDN_PASTE,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonClear,	IDN_CLEAR,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonAll,	IDN_ALL,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},	// zde je editor jmna prvku
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{ ButtonDef,	IDN_DEF,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonLock,	IDN_LOCK,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonOff,	IDN_OFF,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonIcon,	IDN_ICON,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{ ButtonHistPrev, IDN_HIST_PREV,TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonHistNext, IDN_HIST_NEXT,TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonRefDef,	  IDN_REF_DEF,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonRefPrev,  IDN_REF_PREV,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonRefNext,  IDN_REF_NEXT,	TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{			0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,		0, 0},
	{ ButtonFindPrev, IDN_FIND_PREV,TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
	{ ButtonFindNext, IDN_FIND_NEXT,TBSTATE_ENABLED, TBSTYLE_BUTTON,	0, 0},
};
*/
#define ToolBarProgramNum (sizeof(ToolBarProgram)/sizeof(TBBUTTON))


/////////////////////////////////////////////////////////////////////////////
// zahjen reimu editace souboru

void ProgInit()
{
// kontrola, zda nen reim editace souboru
	if (ProgMode) return;
	ProgMode = TRUE;

// nastaven tlatek pro reim programovn
	ToolBarProgN = ToolBarProgramNum;
	ToolBarAdd(ToolBarProgram, ToolBarProgramNum); // pidn tlatek
	
// nastaven novho menu
	SetNewMenu(IDN_PROG);

// vytvoen okna editoru jmna prvku
//	EditName = CreateToolEdit(ToolBar, IDN_EDIT_NAME, IDN_ALL, IDN_DEF);

// vytvoen okna editoru textu k hledn
//	EditFind = CreateToolEdit(ToolBar, IDN_EDIT_FIND, IDN_REF_NEXT, IDN_FIND_PREV);

// vytvoen okna globlnch objekt
	RECT rc;
	::GetClientRect(MainFrame, &rc);
	TreeObj = ::CreateWindowEx(
		WS_EX_CLIENTEDGE,
		WC_TREEVIEW,
		NULL,
		WS_VISIBLE | WS_CHILD | TVS_HASLINES | TVS_HASBUTTONS | TVS_LINESATROOT,
		ClientRect.left,
		ClientRect.top,
		ClientWidth/3,
		ClientHeight/3*2,
		MainFrame,
		(HMENU)IDN_SELECT,
		hInstance,
		NULL);

// vytvoen okna loklnch objekt
	TreeLoc = ::CreateWindowEx(
		WS_EX_CLIENTEDGE,
		WC_TREEVIEW,
		NULL,
		WS_VISIBLE | WS_CHILD | TVS_HASLINES | TVS_HASBUTTONS | TVS_LINESATROOT,
		ClientRect.left,
		ClientHeight/3*2+ClientRect.top,
		ClientWidth/3,
		ClientHeight/3,
		MainFrame,
		(HMENU)IDN_SELECT,
		hInstance,
		NULL);

// vytvoen okna editoru
	TreeEdi = ::CreateWindowEx(
		WS_EX_CLIENTEDGE,
		WC_TREEVIEW,
		NULL,
		WS_VISIBLE | WS_CHILD | TVS_HASLINES | TVS_HASBUTTONS | TVS_LINESATROOT,
		ClientRect.left + ClientWidth/3,
		ClientRect.top,
		ClientWidth/3,
		ClientHeight,
		MainFrame,
		(HMENU)IDN_SELECT,
		hInstance,
		NULL);

// vytvoen okna struktur
	TreeStr = ::CreateWindowEx(
		WS_EX_CLIENTEDGE,
		WC_TREEVIEW,
		NULL,
		WS_VISIBLE | WS_CHILD | TVS_HASLINES | TVS_HASBUTTONS | TVS_LINESATROOT,
		ClientRect.left + ClientWidth/3*2,
		ClientRect.top,
		ClientWidth/3,
		ClientHeight/3*2,
		MainFrame,
		(HMENU)IDN_SELECT,
		hInstance,
		NULL);

// vytvoen okna td
	TreeCls = ::CreateWindowEx(
		WS_EX_CLIENTEDGE,
		WC_TREEVIEW,
		NULL,
		WS_VISIBLE | WS_CHILD | TVS_HASLINES | TVS_HASBUTTONS | TVS_LINESATROOT,
		ClientRect.left + ClientWidth/3*2,
		ClientHeight/3*2+ClientRect.top,
		ClientWidth/3,
		ClientHeight/3,
		MainFrame,
		(HMENU)IDN_SELECT,
		hInstance,
		NULL);

	

		TV_INSERTSTRUCT tvins;
		tvins.hParent = TVI_ROOT;
		tvins.hInsertAfter = TVI_LAST;
		tvins.item.mask = TVIF_TEXT;
		tvins.item.pszText = "Ahoj";
		::SendMessage(TreeEdi, TVM_INSERTITEM, 0, (LPARAM)&tvins);
		::SendMessage(TreeEdi, TVM_INSERTITEM, 0, (LPARAM)&tvins);
		::SendMessage(TreeEdi, TVM_INSERTITEM, 0, (LPARAM)&tvins);
		::SendMessage(TreeEdi, TVM_INSERTITEM, 0, (LPARAM)&tvins);
		::SendMessage(TreeEdi, TVM_INSERTITEM, 0, (LPARAM)&tvins);

		::SendMessage(TreeCls, TVM_INSERTITEM, 0, (LPARAM)&tvins);
		::SendMessage(TreeCls, TVM_INSERTITEM, 0, (LPARAM)&tvins);
		::SendMessage(TreeCls, TVM_INSERTITEM, 0, (LPARAM)&tvins);
		::SendMessage(TreeCls, TVM_INSERTITEM, 0, (LPARAM)&tvins);
		::SendMessage(TreeCls, TVM_INSERTITEM, 0, (LPARAM)&tvins);


// nastaven fokusu na aktivni okno
	ProgSetFocus();
}


/////////////////////////////////////////////////////////////////////////////
// ukonen reimu editace souboru

void ProgTerm()
{
// kontrola, zda je reim editace
	if (ProgMode == FALSE) return;
	ProgMode = FALSE;

// zruen editanho okna textu k hledn
//	::DestroyWindow(EditFind);

// zruen editanho okna jmn
//	::DestroyWindow(EditName);

// zruen okna globlnch objekt
	::DestroyWindow(TreeObj);

// zruen okna loklnch objekt
	::DestroyWindow(TreeLoc);

// zruen okna editoru
	::DestroyWindow(TreeEdi);

// zruen okna struktur
	::DestroyWindow(TreeStr);

// zruen okna td
	::DestroyWindow(TreeCls);

// zruen vech tlatek v panelu nstroj
	ToolBarClear(0);
}


/////////////////////////////////////////////////////////////////////////////
// nastaven fokusu na okno editace

void ProgSetFocus()
{
// kontrola, zda je reim editace
	if (ProgMode == FALSE) return;

// nastaven fokusu na okno
	::SetFocus(TreeEdi);
}


/////////////////////////////////////////////////////////////////////////////
// zmna velikosti okna

void ProgOnSize()
{
// kontrola, zda je reim editace
	if (ProgMode == FALSE) return;

// pprava pedl
	int x1 = ClientRect.left + ClientWidth/3;
	int x2 = ClientRect.left + ClientWidth/3*2;
	int y = ClientRect.top + ClientHeight/3*2;

// zahjen pesouvn oken
	HDWP hdwp = ::BeginDeferWindowPos(10);

// zmna velikosti okna globlnch objekt
	hdwp = ::DeferWindowPos(hdwp, TreeObj, NULL, ClientRect.left, ClientRect.top, x1-ClientRect.left, y-ClientRect.top,
			SWP_DRAWFRAME | SWP_NOACTIVATE | SWP_NOCOPYBITS | SWP_NOOWNERZORDER | SWP_NOZORDER);

// zmna velikosti okna loklnch objekt
	hdwp = ::DeferWindowPos(hdwp, TreeLoc, NULL, ClientRect.left, y, x1-ClientRect.left, ClientRect.bottom - y,
			SWP_DRAWFRAME | SWP_NOACTIVATE | SWP_NOCOPYBITS | SWP_NOOWNERZORDER | SWP_NOZORDER);

// zmna velikosti okna editoru
	hdwp = ::DeferWindowPos(hdwp, TreeEdi, NULL, x1, ClientRect.top, x2-x1, ClientHeight,
			SWP_DRAWFRAME | SWP_NOACTIVATE | SWP_NOCOPYBITS | SWP_NOOWNERZORDER | SWP_NOZORDER);

// zmna velikosti okna struktur
	hdwp = ::DeferWindowPos(hdwp, TreeStr, NULL, x2, ClientRect.top, ClientRect.right - x2, y-ClientRect.top,
			SWP_DRAWFRAME | SWP_NOACTIVATE | SWP_NOCOPYBITS | SWP_NOOWNERZORDER | SWP_NOZORDER);

// zmna velikosti okna td
	hdwp = ::DeferWindowPos(hdwp, TreeCls, NULL, x2, y, ClientRect.right - x2, ClientRect.bottom - y,
			SWP_DRAWFRAME | SWP_NOACTIVATE | SWP_NOCOPYBITS | SWP_NOOWNERZORDER | SWP_NOZORDER);

	::EndDeferWindowPos(hdwp);
}
